View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001232aMuleSharedfilespublic2008-01-03 23:222008-01-06 14:24
Reportermr_hyde 
Assigned ToXaignar 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0001232: Sometimes amule crash on start.
DescriptionSometimes amule crashes on start
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Filesdiff file icon ThreadTasks.cpp.diff [^] (719 bytes) 2008-01-03 23:49 [Show Content]

- Relationships

-  Notes
(0002483)
mr_hyde (reporter)
2008-01-03 23:54

I made some mistakes while writing this report.

Anyway amule can crash while hashing part files with following error:

/usr/lib64/gcc/x86_64-slamd64-linux/4.1.2/../../../../include/c++/4.1.2/debug/vector:192:
    error: attempt to subscript container with out-of-bounds index 0, but
    container only holds 0 elements.

Objects involved in the operation:
sequence "this" @ 0x0x45008c80 {
  type = N15__gnu_debug_def6vectorIhSaIhEEE;
}


The problem is in ThreadTasks.cpp, in method CHashingTask::Entry().
In facts sometimes this method is called for files with EMPTY hashlist.
The attached patch (against aMule CVS 20080103 version) is JUST TO AVOID the crash, not a real fix (I think... I don't know the code).
Bye,
  Mr Hyde
(0002485)
Xaignar (manager)
2008-01-06 14:24

Should be fixed in SVN now.

- Issue History
Date Modified Username Field Change
2008-01-03 23:22 mr_hyde New Issue
2008-01-03 23:22 mr_hyde Operating System => Any
2008-01-03 23:49 mr_hyde File Added: ThreadTasks.cpp.diff
2008-01-03 23:54 mr_hyde Note Added: 0002483
2008-01-04 19:23 Xaignar Status new => acknowledged
2008-01-04 19:23 Xaignar Status acknowledged => assigned
2008-01-04 19:23 Xaignar Assigned To => Xaignar
2008-01-06 14:24 Xaignar Status assigned => resolved
2008-01-06 14:24 Xaignar Resolution open => fixed
2008-01-06 14:24 Xaignar Note Added: 0002485


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker